# POS transaction service API

This is an API reference for the Point of Sale transaction service.

Version: 1.0.0

## Servers

Production environment
```
https://api-services.pxp.io/api/v1
```

Sandbox environment
```
https://api-services.test.pxp.io/api/v1
```

## Security

### PXP-POS

PXP-POS authentication with HMAC-SHA256 signature. Format: PXP-POS {tokenId}:{timestamp}:{hmac}

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [POS transaction service API](https://developer.pxp.io/_bundle/apis/point-of-sale-transaction.yaml)

 - [POST /pos-transactions](https://developer.pxp.io/apis/point-of-sale-transaction/other/initiate-pos-transaction.md): The `/pos-transactions` endpoint enables you to initiate instore transactions. It supports various transaction methods including card and alternative payments.
 - [POST /pos-transactions/legacy](https://developer.pxp.io/apis/point-of-sale-transaction/other/initiate-pos-transaction-legacy.md): The /pos-transactions endpoint enables the initiation of instore transactions, supporting various transaction methods, including card and alternative payments.
 - [POST /pos-transactions/{systemTransactionId}/modifications](https://developer.pxp.io/apis/point-of-sale-transaction/other/modify-pos-transaction.md): This endpoint facilitates the processing of modifications on previously initiated transactions that have not yet been fully processed or captured. Supported modification actions include refunds, captu
